.portfolio-container {
  padding-bottom: 1rem;
}

.portfolio-container .content-wrapper {
  height: 100%;
  width: 90%;
  margin: 0 auto;
}

.portfolio-card-group {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 2rem;
}

.portfolio-card {
  width: 100%;
  padding: 2rem;
  overflow: hidden;
  background-color: rgb(51, 51, 51);
  color: var(--main-color);
  border-radius: 2rem;
  border: 1px solid transparent;
  transition: all 0.5s ease;
}

.portfolio-card:hover {
  background-color: transparent;
  color: var(--text-color);
  border: 1px solid rgb(51, 51, 51);
  transform: scale(1.05);
}

.portfolio-card-img-wrapper {
  height: 400px;
  border-radius: 2rem;
  overflow: hidden;
}
.portfolio-card-img-wrapper img {
  width: 100%;
  overflow: hidden;
  transition: all 5s linear;
}
.portfolio-card-img-wrapper img:hover {
  transform: translateY(-100%);
}
.portfolio-card-title {
  padding: 0.5rem 0;
  font-size: 2rem;
  font-weight: 500;
}

/*  **************  MEDIA QUERIES ( MEDIUM DEVICES )  ****************  */
@media screen and (max-width: 1024px) {
  .portfolio-card-group {
    grid-template-columns: 1fr;
  }
}

/*  **************  MEDIA QUERIES ( SMALL DEVICES )  ****************  */
@media screen and (max-width: 600px) {
  .portfolio-card-img-wrapper {
    height: 300px;
    border-radius: 2rem;
    overflow: hidden;
  }
  .portfolio-container .content-wrapper {
    width: 94%;
  }
}
